##################################################
# This makefile is for the files needed to extend 
# JAT to use agents running O-Plan.
DOCDIR=/hame/gw/public_html/jat/api


##################################################
# Wrap java and javac execution so we can set the
# CLASSPATH environment variable
#JEXEC=jexec
JEXEC=

JAVA=$(JEXEC) java
JAVAC=$(JEXEC) javac -g
JAVADOC=javadoc

##################################################
# targets:
all:
	echo Cannot build target all!

opa:
	cd resource; make opa
	cd oplan; make opa

doc: opa
	$(JAVADOC) -d $(DOCDIR) -protected JavaAgent.context JavaAgent.agent \
		JavaAgent.resource JavaAgent.oplan \
		JavaAgent.resource.cdl JavaAgent.resource.fopl

clean:
	cd oplan; make clean
	cd resource; make clean


##################################################
# files to be built:

